# Uses of Class
org.apache.avro.idl.IdlParser.JsonValueContext

## Uses of IdlParser.JsonValueContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.JsonValueContext
Modifier and Type
Field
Description
`IdlParser.JsonValueContext`
IdlParser.VariableDeclarationContext.`defaultValue`
`IdlParser.JsonValueContext`
IdlParser.JsonArrayContext.`jsonValue`
`IdlParser.JsonValueContext`
IdlParser.JsonPairContext.`value`
`IdlParser.JsonValueContext`
IdlParser.SchemaPropertyContext.`value`
Fields in org.apache.avro.idl with type parameters of type IdlParser.JsonValueContext
Modifier and Type
Field
Description
`List<IdlParser.JsonValueContext>`
IdlParser.JsonArrayContext.`jsonValues`
Methods in org.apache.avro.idl that return IdlParser.JsonValueContext
Modifier and Type
Method
Description
`IdlParser.JsonValueContext`
IdlParser.JsonArrayContext.`jsonValue(int i)`
`IdlParser.JsonValueContext`
IdlParser.JsonPairContext.`jsonValue()`
`final IdlParser.JsonValueContext`
IdlParser.`jsonValue()`
`IdlParser.JsonValueContext`
IdlParser.SchemaPropertyContext.`jsonValue()`
`IdlParser.JsonValueContext`
IdlParser.VariableDeclarationContext.`jsonValue()`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.JsonValueContext
Modifier and Type
Method
Description
`List<IdlParser.JsonValueContext>`
IdlParser.JsonArrayContext.`jsonValue()`
Methods in org.apache.avro.idl with parameters of type IdlParser.JsonValueContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterJsonValue(IdlParser.JsonValueContext ctx)`
Enter a parse tree produced by `IdlParser.jsonValue()`.
`void`
IdlListener.`enterJsonValue(IdlParser.JsonValueContext ctx)`
Enter a parse tree produced by `IdlParser.jsonValue()`.
`void`
IdlBaseListener.`exitJsonValue(IdlParser.JsonValueContext ctx)`
Exit a parse tree produced by `IdlParser.jsonValue()`.
`void`
IdlListener.`exitJsonValue(IdlParser.JsonValueContext ctx)`
Exit a parse tree produced by `IdlParser.jsonValue()`.